Bug 1414878 - new kernel 4.9.4-201 not appear in boot menu [NEEDINFO]
Summary: new kernel 4.9.4-201 not appear in boot menu
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 16:20 UTC by Mikhail
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:06:33 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
boot menu (678.56 KB, image/jpeg)
2017-01-19 16:49 UTC, Mikhail
no flags Details

Description Mikhail 2017-01-19 16:20:59 UTC
Description of problem:
I found solution how solve duplicate problem
https://bugzilla.redhat.com/show_bug.cgi?id=1414858
# dnf remove nss-3.28.1-1.2.fc25.x86_64

But when update ended and system was restarted I not seen kernel 4.9.4-201 in boot menu.

My attempts reinstall kernel package:
# dnf reinstall kernel --allowerasing
# dnf reinstall kernel-debug --allowerasing

Not helps solve this problem.

Comment 1 Mikhail 2017-01-19 16:24:15 UTC
Again do this
# grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg

This is not funny why impossible to solve the problem more gracefully.

Comment 2 Mikhail 2017-01-19 16:26:04 UTC
# grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.9.3-200.fc25.x86_64
Found initrd image: /boot/initramfs-4.9.3-200.fc25.x86_64.img
Found linux image: /boot/vmlinuz-4.9.2-200.fc25.x86_64
Found initrd image: /boot/initramfs-4.9.2-200.fc25.x86_64.img
Found linux image: /boot/vmlinuz-4.9.3-200.fc25.x86_64+debug
Found initrd image: /boot/initramfs-4.9.3-200.fc25.x86_64+debug.img
Found linux image: /boot/vmlinuz-0-rescue-7ee417bd5c8149e19ee3337e6ad5d0f0
Found initrd image: /boot/initramfs-0-rescue-7ee417bd5c8149e19ee3337e6ad5d0f0.img
done

It's impossible but # grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg
not helps too. Where is my 4.9.4 kernel :'(


# rpm -qa kernel*
kernel-modules-4.9.2-200.fc25.x86_64
kernel-4.9.3-200.fc25.x86_64
kernel-debug-core-4.9.4-201.fc25.x86_64
kernel-4.9.2-200.fc25.x86_64
kernel-core-4.9.3-200.fc25.x86_64
kernel-modules-extra-4.9.3-200.fc25.x86_64
kernel-debug-modules-4.9.4-201.fc25.x86_64
kernel-modules-extra-4.9.2-200.fc25.x86_64
kernel-headers-4.9.4-201.fc25.x86_64
kernel-modules-4.9.3-200.fc25.x86_64
kernel-4.9.4-201.fc25.x86_64
kernel-debug-core-4.9.3-200.fc25.x86_64
kernel-debug-modules-4.9.3-200.fc25.x86_64
kernel-modules-extra-4.9.4-201.fc25.x86_64
kernel-core-4.9.4-201.fc25.x86_64
kernel-core-4.9.2-200.fc25.x86_64
kernel-debug-4.9.4-201.fc25.x86_64
kernel-modules-4.9.4-201.fc25.x86_64
kernel-debug-4.9.3-200.fc25.x86_64
[root@localhost ~]# rpm -qa kernel* | sort
kernel-4.9.2-200.fc25.x86_64
kernel-4.9.3-200.fc25.x86_64
kernel-4.9.4-201.fc25.x86_64
kernel-core-4.9.2-200.fc25.x86_64
kernel-core-4.9.3-200.fc25.x86_64
kernel-core-4.9.4-201.fc25.x86_64
kernel-debug-4.9.3-200.fc25.x86_64
kernel-debug-4.9.4-201.fc25.x86_64
kernel-debug-core-4.9.3-200.fc25.x86_64
kernel-debug-core-4.9.4-201.fc25.x86_64
kernel-debug-modules-4.9.3-200.fc25.x86_64
kernel-debug-modules-4.9.4-201.fc25.x86_64
kernel-headers-4.9.4-201.fc25.x86_64
kernel-modules-4.9.2-200.fc25.x86_64
kernel-modules-4.9.3-200.fc25.x86_64
kernel-modules-4.9.4-201.fc25.x86_64
kernel-modules-extra-4.9.2-200.fc25.x86_64
kernel-modules-extra-4.9.3-200.fc25.x86_64
kernel-modules-extra-4.9.4-201.fc25.x86_64

Comment 3 Igor Gnatenko 2017-01-19 16:27:31 UTC
(In reply to Mikhail from comment #0)
> Description of problem:
> I found solution how solve duplicate problem
> https://bugzilla.redhat.com/show_bug.cgi?id=1414858
> # dnf remove nss-3.28.1-1.2.fc25.x86_64
> 
> But when update ended and system was restarted I not seen kernel 4.9.4-201
> in boot menu.
> 
> My attempts reinstall kernel package:
> # dnf reinstall kernel --allowerasing
> # dnf reinstall kernel-debug --allowerasing
> 
> Not helps solve this problem.
IIRC kernel-core is the component which triggers bootloader update.

Comment 4 Igor Gnatenko 2017-01-19 16:29:05 UTC
ls -l /boot ?

Comment 5 Mikhail 2017-01-19 16:48:53 UTC
(In reply to Igor Gnatenko from comment #3)
> IIRC kernel-core is the component which triggers bootloader update.

Thanks, you right 
# dnf reinstall kernel-debug-core  --allowerasing
# dnf reinstall kernel-core  --allowerasing
helps add new kernel in boot menu, but not as a normal update.
Because a normal update new kernels always appear in the above list, and loaded by default.

I have another result after I manually fix problem with
# dnf reinstall kernel-debug-core --allowerasing
# dnf reinstall kernel-core --allowerasing
new core appeared under the old and the default boot 4.9.3-200, I expected that the default should be loaded 4.9.4-201

Please see attach photo

Comment 6 Mikhail 2017-01-19 16:49:29 UTC
Created attachment 1242531 [details]
boot menu

Comment 7 Igor Gnatenko 2017-01-19 16:54:18 UTC
well, what can dnf do...

Comment 8 Justin M. Forbes 2017-04-11 14:35:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 9 Justin M. Forbes 2017-04-28 17:06:33 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.